%define upstream_name    Alien-Hunspell
%define upstream_version 0.07

%{?perl_default_filter}
%global __requires_exclude %__requires_exclude|^perl\\(File::ShareDir\\)$

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Building, finding and using SDL binaries
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::Base) >= 0.20.0
BuildRequires: perl(Alien::Base::ModuleBuild) >= 0.20.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(FFI::CheckLib)
BuildRequires: perl(File::ShareDir) >= 1.30.0
BuildRequires: perl(Test::CChecker) >= 0.70.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(parent)
BuildRequires: hunspell-devel
BuildArch:  noarch

%description
Please see the Alien manpage for the manifesto of the Alien namespace.

In short 'Alien::SDL' can be used to detect and get configuration settings
from an installed SDL and related libraries. Based on your platform it
offers the possibility to download and install prebuilt binaries or to
build SDL & co. from source codes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
echo 1 | %__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot} --installdirs=vendor

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.70.0-2.mga6
+ Revision: 1022270
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 0.70.0-1.mga6
+ Revision: 953176
- update to 0.07

* Mon Jan 25 2016 shlomif <shlomif> 0.40.0-1.mga6
+ Revision: 927456
- Importing from cpan2pkg

